All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.connection
Class ConnectionTimeoutException

    com.sas.services.connection.ConnectionTimeoutException

All Implemented Interfaces:
  com.sas.util.ChainedExceptionInterface, java.io.Serializable

    public class ConnectionTimeoutException

The connection factory throws a timeout exception when a connection request could not be completed before an administrative time limit expired. Load balancing spawners cause timeout exceptions if their load does not fall below a certain level within a certain amount of time.

After a timeout exception has been thrown, a future connection request might succeed. In other words, a timeout exception does not imply a server failure.

See Also:
  Serialized Form

Constructor Summary
`ConnectionTimeoutException()` No-arg constructor.
`ConnectionTimeoutException(java.lang.String msg)` Construct a connection factory exception with a message.
`ConnectionTimeoutException(java.lang.String msg, java.lang.Throwable nestedException)` Construct a connection factory exception with a message and a nested exception.
`ConnectionTimeoutException(java.lang.Throwable nestedException)` Construct a connection factory exception with a nested exception.

Method Summary

Methods inherited from class com.sas.services.connection.ConnectionFactoryException
`getRootException, getTargetException`

Constructor Detail

### ConnectionTimeoutException

    public ConnectionTimeoutException()

  No-arg constructor.

### ConnectionTimeoutException

    public ConnectionTimeoutException(java.lang.String msg)

  Construct a connection factory exception with a message.

  Parameters:
    `msg` - a message providing further details about the exception

### ConnectionTimeoutException

    public ConnectionTimeoutException(java.lang.Throwable nestedException)

  Construct a connection factory exception with a nested exception.

  Parameters:
    `nestedException` - the exception that caused this exception

### ConnectionTimeoutException

    public ConnectionTimeoutException(java.lang.String msg,
                                      java.lang.Throwable nestedException)

  Construct a connection factory exception with a message and a nested exception.

  Parameters:
    `msg` - a message providing further details about the exception
    `nestedException` - the exception that caused this exception

*** This class provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.